package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.bo.request.RaiseOrderRequestBO;
import com.huiju.estateagents.bo.request.RaiseRecordRequestBO;
import com.huiju.estateagents.entity.TaRaiseRecord;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 认筹单(认筹记录表)  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
public interface ITaRaiseRecordService extends IService<TaRaiseRecord> {

    /**
     * 条件查询认筹单
     *
     * @param recordRequestBO
     * @param startTime
     * @param endTime
     * @param pageNumber
     * @param pageSize
     * @return
     */
    ResponseBean listRaiseRecordByCondition(RaiseRecordRequestBO recordRequestBO, LocalDateTime startTime, LocalDateTime endTime, Integer pageNumber, Integer pageSize);

    /**
     * 条件查询缴费单
     *
     * @param orderRequestBO
     * @param payStartTime
     * @param payEndTime
     * @param pageNumber
     * @param pageSize
     * @return
     */
    ResponseBean listRaiseOrderByCondition(RaiseOrderRequestBO orderRequestBO, LocalDateTime payStartTime, LocalDateTime payEndTime, Integer pageNumber, Integer pageSize);
}
